
//  KopioiTiedosto.cs  (c) 2005 Kari Laitinen

//  http://www.naturalprogramming.com

//  2005-02-06  Tiedosto luotu.
//  2005-02-06  Viimeisin muutos.

using System ;
using System.IO ;  // Luokat tiedostonkasittelyyn.

class KopioiTiedosto
{
   static void Main()
   {
      Console.Write( "\n Tama ohjelma kopioi tekstirivit tiedostosta"
                   + "\n toiseen tiedostoon. Anna kopioitavan tiedoston"
                   + "\n nimi: " ) ;

      string  kopioitavan_tiedoston_nimi  =  Console.ReadLine() ;

      Console.Write( "\n Anna uuden kopiotiedoston nimi: " ) ;

      string  uuden_kopiotiedoston_nimi  =  Console.ReadLine() ;

      try
      {
         StreamReader kopioitava_tiedosto  =
                          new  StreamReader( kopioitavan_tiedoston_nimi ) ;

         StreamWriter uusi_kopiotiedosto  =
                          new  StreamWriter( uuden_kopiotiedoston_nimi ) ;

         Console.Write( "\n Kopiointi kaynnissa ... \n" ) ;

         int  tekstirivilaskuri  =  0 ;
         bool tiedoston_loppu_kohdattu  =  false ;

         while ( tiedoston_loppu_kohdattu  ==  false )
         {
            string tekstirivi_tiedostosta  =  kopioitava_tiedosto.ReadLine();

            if ( tekstirivi_tiedostosta  ==  null )
            {
               tiedoston_loppu_kohdattu  =  true ;
            }
            else
            {
               uusi_kopiotiedosto.WriteLine( tekstirivi_tiedostosta ) ;
               tekstirivilaskuri  ++  ;
            }
         }

         Console.Write( "\n Kopiointi valmis. "  +  tekstirivilaskuri
                      + " rivia kopioitiin. \n" ) ;

         kopioitava_tiedosto.Close() ;
         uusi_kopiotiedosto.Close() ;
      }
      catch ( FileNotFoundException )
      {
         Console.Write( "\n " + kopioitavan_tiedoston_nimi + " ei aukea." ) ;
      }
      catch ( Exception )
      {
         Console.Write( "\n Tiedostovirhe. Kirjoitus tiedostoon "
                     +  uuden_kopiotiedoston_nimi +  " ei onnistu." ) ;
      }
   }
}




